package com.tzld.piaoquan.api.model.po.wecom.thirdpart;

import java.util.Date;

public class ThirdPartWeComRoomConfig {
    private String id;

    private Long roomId;

    private String accountConfigId;

    private String putScene;

    private String channel;

    private Long primaryThirdStaffId;

    private Long secondThirdStaffId;

    private Integer status;

    private Date createTime;

    private Date updateTime;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Long getRoomId() {
        return roomId;
    }

    public void setRoomId(Long roomId) {
        this.roomId = roomId;
    }

    public String getAccountConfigId() {
        return accountConfigId;
    }

    public void setAccountConfigId(String accountConfigId) {
        this.accountConfigId = accountConfigId;
    }

    public String getPutScene() {
        return putScene;
    }

    public void setPutScene(String putScene) {
        this.putScene = putScene;
    }

    public String getChannel() {
        return channel;
    }

    public void setChannel(String channel) {
        this.channel = channel;
    }

    public Long getPrimaryThirdStaffId() {
        return primaryThirdStaffId;
    }

    public void setPrimaryThirdStaffId(Long primaryThirdStaffId) {
        this.primaryThirdStaffId = primaryThirdStaffId;
    }

    public Long getSecondThirdStaffId() {
        return secondThirdStaffId;
    }

    public void setSecondThirdStaffId(Long secondThirdStaffId) {
        this.secondThirdStaffId = secondThirdStaffId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", roomId=").append(roomId);
        sb.append(", accountConfigId=").append(accountConfigId);
        sb.append(", putScene=").append(putScene);
        sb.append(", channel=").append(channel);
        sb.append(", primaryThirdStaffId=").append(primaryThirdStaffId);
        sb.append(", secondThirdStaffId=").append(secondThirdStaffId);
        sb.append(", status=").append(status);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append("]");
        return sb.toString();
    }
}